## gltestsrc

gltestsrc

## Properties

gboolean | is-live | Read / Write
GstGLTestSrcPattern | pattern | Read / Write
gint64 | timestamp-offset | Read / Write

## Types and Values

| GstGLTestSrc
enum | GstGLTestSrcPattern

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstGLTestSrc

## Description

The gltestsrc element is used to produce test video texture. The video test produced can be controlled with the "pattern" property.

#### Example launch line

    1

    gst-launch-1.0 -v gltestsrc pattern=smpte ! glimagesink

Shows original SMPTE color bars in a window.

## Synopsis

### Element Information

plugin | opengl
author | David A. Schleef <ds@schleef.org>
class | Source/Video

### Element Pads

name | src
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

## Functions

## Types and Values

### GstGLTestSrc

    typedef struct _GstGLTestSrc GstGLTestSrc;

Opaque data structure.

### enum GstGLTestSrcPattern

The test pattern to produce.

#### Members

GST_GL_TEST_SRC_SMPTE | A standard SMPTE test pattern |
GST_GL_TEST_SRC_SNOW | Random noise |
GST_GL_TEST_SRC_BLACK | A black image |
GST_GL_TEST_SRC_WHITE | A white image |
GST_GL_TEST_SRC_RED | A red image |
GST_GL_TEST_SRC_GREEN | A green image |
GST_GL_TEST_SRC_BLUE | A blue image |
GST_GL_TEST_SRC_CHECKERS1 | Checkers pattern (1px) |
GST_GL_TEST_SRC_CHECKERS2 | Checkers pattern (2px) |
GST_GL_TEST_SRC_CHECKERS4 | Checkers pattern (4px) |
GST_GL_TEST_SRC_CHECKERS8 | Checkers pattern (8px) |
GST_GL_TEST_SRC_CIRCULAR | Circular pattern |
GST_GL_TEST_SRC_BLINK | Alternate between black and white |
GST_GL_TEST_SRC_MANDELBROT |  |

## Property Details

### The `“is-live”` property

      “is-live”                  gboolean

Whether to act as a live source.

Flags: Read / Write

Default value: FALSE

### The `“pattern”` property

      “pattern”                  GstGLTestSrcPattern

Type of test pattern to generate.

Flags: Read / Write

Default value: SMPTE 100% color bars

### The `“timestamp-offset”` property

      “timestamp-offset”         gint64

An offset added to timestamps set on buffers (in ns).

Flags: Read / Write

Default value: 0